# Generated from optsparser_generator-4.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name optsparser_generator

Name: rubygem-%{gem_name}
Version: 4.5
Release: 1%{?dist}
Summary: Generates OptionParser using an OpenStruct
License: AGPL-1.0
URL: https://github.com/madblobfish/optionparser-generator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.5.0
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) >= 0.12.0
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(yard) >= 0.8
BuildArch: noarch

%description
Generates OptionParser using an OpenStruct.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Aug 24 2021 mockbuilder - 4.5-1
- Initial package
